View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
18282Feature requestsOtherpublic2022-08-18 10:12
Reporterollehar Assigned Top_teichmann  
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Summary18282: Better handling for failed notification e-mails
Description

Internal

TagsNo tags attached.
Bug heat2

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

p_teichmann

p_teichmann

2022-08-17 16:40

administrator   ~71469

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33731

Related Changesets

LimeSurvey: master 30cca2fd

2022-08-17 16:40:38

p_teichmann


Committer: GitHub Details Diff
New feature 18282: Possibility to resend failed admin notification emails(#2539)

* dev: created new table for failed email notification and created new …

* dev: added column surveyid to new table failed_email

* dev: changed columns table failed_email

* LSC-267: added controller/view/model for failed email notifications

* dev: LSC273 self cleaning after 30 days

* Dev: true equal for string comparison

* LSC-267: added grid and some controller/db adjustments for failedEmail

* Save failed emails to database also fixing database table columns

* LSC-267: added/fixed some fields and added basic resend action and modal

* subject col now called email_type in create-database.php

* Notifications for failed e-mails

* Success state as constant

* LSC-267: added controller actions/massive action modals/buttons for f…

* Only one notification, and only for survey owners

* Changed notification message text

* If a survey is deleted, the failed email notifications belonging to t…

* LSC-267: added buttons and javascript generating modals

* LSC-267: added return messages for modals / added ajax reload for jav…

* Dev: PSR-12 fixes

* Dev: Add missing return types

* Dev: Add missing return types

* Dev: Fix link casing

* LSC-267: capitalized controller name in url

* LSC-267: added check for LimeMailer instance

* LSC-267: added docs to saveFailedEmail and removed redundant return

* LSC-267: updated doc blocks and fixed some conditions / added excepti…

* PSR-12 fix

* LSC-267: updated view test for FailedEmail

* LSC-267: updated view test for FailedEmail

* LSC-267: updated permissions for button group and dynamic modalcontent

* LSC-267: updated view test for FailedEmail

* LSC-267: psr-12

* Merge branch 'master' into task/LSC-267_failed_notification_emails

* LSC-267: fixed for url type for get/path

* LSC-267: fixed some typos

* LSC-267: fixed missing surveyid to display correct data in the table

* LSC-267: functional tests for FailedEmail

* LSC-267: fixed wrong return values causing errors in ajax calls

* LSC-267: WIP testing error on CI

* LSC-267: WIP testing error on CI

* LSC-267: WIP testing error on CI

* LSC-267: WIP testing error on CI

* LSC-267: fixed missing function param for saveFailedEmail() / added c…

* Fixed issue: thissurvey is null; addCondition second argument is not …

* Turn on debug 2 in CI

* Fix yaml

* Fix line in sed call

* Fix sed

* LSC-267: added breadcrumb

* LSC-267: fixed id/language/recipient not being set right / header all…

* LSC-267: added additional checks to wait for modal being closed

* LSC-267: adjust waiting time for tests

* LSC-267: adjust waiting time for tests

* Remove debug 2

* Run entire test suite

* LSC-267: added comment for clarification

* LSC-267: removed todo

* Merge branch 'master' into task/LSC-267_failed_notification_emails

* Apply composer no dev

* LSC-267: reverted wrong yaml setting to master default
Affected Issues
18282
mod - .github/workflows/main.yml Diff File
mod - application/config/version.php Diff File
add - application/controllers/FailedEmailController.php Diff File
mod - application/controllers/admin/Authentication.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
mod - application/extensions/admin/grid/MassiveActionsWidget/MassiveActionsWidget.php Diff File
mod - application/extensions/admin/grid/MassiveActionsWidget/assets/listActions.js Diff File
mod - application/helpers/frontend_helper.php Diff File
add - application/helpers/update/updates/Update_489.php Diff File
add - application/models/FailedEmail.php Diff File
mod - application/models/LSActiveRecord.php Diff File
mod - application/models/Survey.php Diff File
mod - application/views/admin/survey/breadcrumb.php Diff File
add - application/views/failedEmail/failedEmail_index.php Diff File
add - application/views/failedEmail/javascript/failedEmail.js Diff File
add - application/views/failedEmail/notification_message/_notification_message.php Diff File
add - application/views/failedEmail/partials/buttons.php Diff File
add - application/views/failedEmail/partials/massive_action_selector.php Diff File
add - application/views/failedEmail/partials/modal/delete_form.php Diff File
add - application/views/failedEmail/partials/modal/delete_result.php Diff File
add - application/views/failedEmail/partials/modal/delete_result_body.php Diff File
add - application/views/failedEmail/partials/modal/email_content.php Diff File
add - application/views/failedEmail/partials/modal/email_error.php Diff File
add - application/views/failedEmail/partials/modal/resend_body.php Diff File
add - application/views/failedEmail/partials/modal/resend_form.php Diff File
add - application/views/failedEmail/partials/modal/resend_result.php Diff File
add - application/views/failedEmail/partials/modal/resend_result_body.php Diff File
mod - installer/create-database.php Diff File
add - tests/data/surveys/limesurvey_survey_489_default.lss Diff File
mod - tests/data/views/adminSurveyViews.php Diff File
add - tests/functional/acceptance/18282-FailedEmail/FailedEmailTest.php Diff File
mod - third_party/autoload.php Diff File
mod - third_party/composer/ClassLoader.php Diff File
mod - third_party/composer/InstalledVersions.php Diff File
mod - third_party/composer/autoload_classmap.php Diff File
mod - third_party/composer/autoload_files.php Diff File
mod - third_party/composer/autoload_namespaces.php Diff File
mod - third_party/composer/autoload_psr4.php Diff File
mod - third_party/composer/autoload_real.php Diff File
mod - third_party/composer/installed.php Diff File

Issue History

Date Modified Username Field Change
2022-07-27 13:56 ollehar New Issue
2022-08-17 16:40 p_teichmann Changeset attached => LimeSurvey master 30cca2fd
2022-08-17 16:40 p_teichmann Note Added: 71469
2022-08-17 16:40 p_teichmann Bug heat 0 => 2
2022-08-17 16:40 p_teichmann Assigned To => p_teichmann
2022-08-17 16:40 p_teichmann Resolution open => fixed
2022-08-18 10:12 p_teichmann Status new => resolved